Activator
Date: 2016-06-24

org.apache.geronimo.osgi.registry

## Class Activator

- java.lang.Object
- - org.apache.geronimo.osgi.registry.Activator

- All Implemented Interfaces:
    org.osgi.framework.BundleActivator

      public class Activator
      extends java.lang.Object
      implements org.osgi.framework.BundleActivator

  The activator that starts and manages the life-cycle of the class factory registry.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.osgi.util.tracker.BundleTracker` | `bt`
    `protected org.osgi.framework.BundleContext` | `context`
    `protected org.osgi.util.tracker.ServiceTracker` | `lst`
    `protected ProviderRegistryImpl` | `registry`
    `protected org.osgi.framework.ServiceRegistration` | `registryRegistration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Activator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `start(org.osgi.framework.BundleContext context)`
    `void` | `stop(org.osgi.framework.BundleContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bt

          protected org.osgi.util.tracker.BundleTracker bt

    - #### lst

          protected org.osgi.util.tracker.ServiceTracker lst

    - #### registry

          protected ProviderRegistryImpl registry

    - #### registryRegistration

          protected org.osgi.framework.ServiceRegistration registryRegistration

    - #### context

          protected org.osgi.framework.BundleContext context

  - ### Constructor Detail

    - #### Activator

          public Activator()

  - ### Method Detail

    - #### start

          public void start(org.osgi.framework.BundleContext context)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop(org.osgi.framework.BundleContext context)
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `java.lang.Exception`